aboutsummaryrefslogtreecommitdiff
path: root/toolchain
Commit message (Collapse)AuthorAgeFilesLines
* Add latest gcc patch for AVR32 gcc-4.2.2 prepatched sourceGravatar Ulf Samuelsson2008-07-081-0/+16
|
* Fix AVR32 gcc patching, when sysroot option is not enabledGravatar Ulf Samuelsson2008-07-081-1/+1
|
* kernel-headers: bump 2.6.25.x versionGravatar Peter Korsgaard2008-07-071-1/+1
|
* Add prepatched AVR32 gcc-4.2.2 toolchain from www.atmel.no, move patch ↵Gravatar Ulf Samuelsson2008-07-049-22/+131
| | | | locations for prepatched toolchain to be under the toolchain directory
* fixup gdb-6.7.1Gravatar Ulf Samuelsson2008-07-013-8113/+15
|
* disable werror in gdbGravatar Ulf Samuelsson2008-07-011-0/+1
|
* disable configure caching in gdb, courtesy of Fathi BoudraGravatar Ulf Samuelsson2008-07-011-5/+7
|
* Add gdb-6.8 support, courtesy Fathi BoudraGravatar Ulf Samuelsson2008-07-011-0/+5
|
* Add gdb-6.8 support, courtesy Fathi BoudraGravatar Ulf Samuelsson2008-07-011-0/+31
|
* Fix gbd-6.5, courtesy Fathi BoudraGravatar Ulf Samuelsson2008-07-015-48/+42
|
* kernel headers: bump 2.6.25.xGravatar Peter Korsgaard2008-06-262-1/+1
| | | | Based on patch by Fathi Boudra.
* toolchain/gcc: use --disable-decimal-float for 4.3.xGravatar Peter Korsgaard2008-06-211-0/+7
|
* buildroot: s/depends/depends on/Gravatar Peter Korsgaard2008-06-194-29/+29
| | | | | The new kconfig is more strict regarding depends/depends on, so fixup the tree.
* toolchain/gcc: add 4.3.1Gravatar Peter Korsgaard2008-06-1911-0/+261
| | | | Based on Bernhards tree.
* toolchain/gcc: mark old versions as deprecatedGravatar Peter Korsgaard2008-06-191-0/+2
|
* toolchain/gcc: use $(@D)Gravatar Peter Korsgaard2008-06-181-1/+1
|
* toolchain/gcc: use depends on instead of dependsGravatar Peter Korsgaard2008-06-182-12/+11
|
* dependencies: check for awkGravatar Peter Korsgaard2008-06-181-0/+12
|
* uclibc: only strip libpthread on 0.9.28.3 / not PTHREAD_DEBUGGravatar Peter Korsgaard2008-06-181-1/+5
|
* uclibc: remove obsolete uclibc 0.9.28 handlingGravatar Peter Korsgaard2008-06-181-3/+0
|
* toolchain/gcc: use $(STRIP_STRIP_UNNEEDED)Gravatar Peter Korsgaard2008-06-172-4/+4
|
* toolchain/uclibc: strip libpthreadGravatar Peter Korsgaard2008-06-171-0/+1
|
* toolchain/gcc-4.x: strip cross libgcc / libstdc++Gravatar Peter Korsgaard2008-06-171-0/+2
|
* toolchain/gcc-3.x: strip cross libgcc / libstdc++ with cross-strip, not host.Gravatar Peter Korsgaard2008-06-171-2/+2
|
* gdb: support external toolchainGravatar Peter Korsgaard2008-06-161-9/+5
|
* toolchain: more sensible uclibc defaults for external toolchainGravatar Peter Korsgaard2008-06-161-4/+4
|
* toolchain: move elf2flt+mklibs under 'Common Toolchain Options'Gravatar Peter Korsgaard2008-06-161-2/+2
|
* elf2flt: only allow it to be selected on supported archsGravatar Peter Korsgaard2008-06-161-3/+1
|
* kernel-headers: 2.6.25.6: export linux/a.out.h (E.G. for valgrind)Gravatar Peter Korsgaard2008-06-151-0/+24
|
* toolchain: also setup kernel headers when ext toolchain is usedGravatar Peter Korsgaard2008-06-132-6/+3
| | | | | Provide kernel headers when ext toolchain is used, so we can compile packages which need them.
* toolchain: gcc 4.2.4 supportGravatar Peter Korsgaard2008-06-1321-3/+4129
|
* kernel headers: bump 2.6.25.x versionGravatar Peter Korsgaard2008-06-111-1/+1
|
* kernel headers: bump 2.6.25.x versionGravatar Peter Korsgaard2008-06-071-1/+1
|
* toolchain: also use arch/tune/abi options when softfloat is enabledGravatar Peter Korsgaard2008-06-061-1/+2
| | | | | The ifeq/endif nesting was wrong, so arch/tune/abi options where only set in the non-softfloat case.
* kernel headers: add BR2_DEPRECATED / BR2_RECENT annotations to 2.6.2xGravatar Peter Korsgaard2008-06-021-4/+7
|
* kernel headers: add 2.6.25.4Gravatar Peter Korsgaard2008-06-021-1/+5
|
* kernel headers: bump 2.6.24.x to 2.6.24.7Gravatar Peter Korsgaard2008-06-021-1/+1
|
* uclibc-0.9.28.3: correct arch list (avr32 missing, stuff only in 0.9.29+)Gravatar Peter Korsgaard2008-05-311-2/+1
|
* uclibc-0.9.28.3: fix config so oldconfig doesn't ask questionsGravatar Peter Korsgaard2008-05-311-1/+1
|
* uclibc-0.9.29: handle powerpc subarch selectionGravatar Peter Korsgaard2008-05-311-0/+9
|
* uClibc: use .patch.$ARCH naming conventionGravatar Peter Korsgaard2008-04-245-2/+5
|
* * Added uclibc snapshot config, differes from the stable and kept asking ↵Gravatar Nigel Kukard2008-04-173-1/+219
| | | | | | questions for config * Added ARM config options to makefile just like the other arch's
* toolchain/gcc: do not try to strip *-embedspuGravatar Peter Korsgaard2008-04-042-2/+2
|
* * Removed GCC 4.2.0, added GCC 4.2.3 (take 2)Gravatar Nigel Kukard2008-03-3021-9/+8
|
* * Remove legacy GCC 4.1.x versionsGravatar Nigel Kukard2008-03-3020-8038/+0
|
* * Remove legacy GCC 4.0.x versionsGravatar Nigel Kukard2008-03-3035-15738/+0
|
* * Remove legacy GCC 3.4.x versionsGravatar Nigel Kukard2008-03-3061-59167/+0
|
* Remove legacy GCC 3.3.x versionsGravatar Nigel Kukard2008-03-3024-15056/+0
|
* Add build support for latest gdbGravatar Ulf Samuelsson2008-03-304-0/+8134
|
* Force use of bash for patchingGravatar Ulf Samuelsson2008-03-291-1/+1
|